<?php
/**
 * @package Mega Construction
 * @subpackage mega-construction
 * Setup the WordPress core custom header feature.
 *
 * @uses mega_construction_header_style()
*/

function mega_construction_custom_header_setup() {

	add_theme_support( 'custom-header', apply_filters( 'mega_construction_custom_header_args', array(
		'default-text-color'     => 'fff',
		'header-text' 			 =>	false,
		'width'                  => 1600,
		'height'                 => 400,
		'wp-head-callback'       => 'mega_construction_header_style',
	) ) );
}

add_action( 'after_setup_theme', 'mega_construction_custom_header_setup' );

if ( ! function_exists( 'mega_construction_header_style' ) ) :
/**
 * Styles the header image and text displayed on the blog
 *
 * @see mega_construction_custom_header_setup().
 */
add_action( 'wp_enqueue_scripts', 'mega_construction_header_style' );
function mega_construction_header_style() {
	//Check if user has defined any header image.
	if ( get_header_image() ) :
	$mega_construction_custom_css = "
        #header{
			background-image:url('".esc_url(get_header_image())."');
			background-position: center top;
		}";
	   	wp_add_inline_style( 'mega_construction-basic-style', $mega_construction_custom_css );
	endif;
}
endif; // mega_construction_header_style